Page MenuHomePhabricator

1.42.0-wmf.23 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
hashar
Release Version
1.42.0-wmf.23
Release Date
Mar 18 2024, 12:00 AM

2024 week 12 1.42-wmf.23 Changes wmf/1.42.0-wmf.23

This MediaWiki Train Deployment is scheduled for the week of Monday, March 18th:

Monday March 18thTuesday, March 19thWednesday, March 20thThursday, March 21stFriday
Backports only.Branch wmf.23 and deploy to Group 0 Wikis.Deploy wmf.23 to Group 1 Wikis.Deploy wmf.23 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.23 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.42.0-wmf.22
Next: 1.42.0-wmf.24

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: hashar.
thcipriani set the point value for this task to 5.
Risky Patch! 🚂🔥

Change 1011444 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.42.0-wmf.23] Branch commit for wmf/1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1011444

Change 1011444 merged by jenkins-bot:

[mediawiki/core@wmf/1.42.0-wmf.23] Branch commit for wmf/1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1011444

Change 1012462 had a related patch set uploaded (by TrainBranchBot; author: MediaWiki PreSync):

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1012462

Change 1012462 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1012462

Mentioned in SAL (#wikimedia-operations) [2024-03-19T03:05:49Z] <mwpresync@deploy2002> Started scap: testwikis wikis to 1.42.0-wmf.23 refs T354441

Mentioned in SAL (#wikimedia-operations) [2024-03-19T04:03:08Z] <mwpresync@deploy2002> Finished scap: testwikis wikis to 1.42.0-wmf.23 refs T354441 (duration: 57m 18s)

Change 1012733 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1012733

Change 1012733 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1012733

Mentioned in SAL (#wikimedia-operations) [2024-03-19T18:21:11Z] <dancy@deploy2002> rebuilt and synchronized wikiversions files: group0 wikis to 1.42.0-wmf.23 refs T354441

Change 1013123 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013123

Change 1013123 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013123

Change 1013125 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013125

Change 1013125 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013125

Mentioned in SAL (#wikimedia-operations) [2024-03-20T18:56:47Z] <dancy@deploy2002> rebuilt and synchronized wikiversions files: group0 wikis to 1.42.0-wmf.23 refs T354441

Change 1013144 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013144

Change 1013144 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013144

Mentioned in SAL (#wikimedia-operations) [2024-03-20T21:55:47Z] <dancy@deploy2002> rebuilt and synchronized wikiversions files: group1 wikis to 1.42.0-wmf.23 refs T354441

Mentioned in SAL (#wikimedia-operations) [2024-03-20T22:08:54Z] <dancy@deploy2002> Synchronized php: group1 wikis to 1.42.0-wmf.23 refs T354441 (duration: 13m 06s)

Change #1013378 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013378

Change #1013378 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013378

Mentioned in SAL (#wikimedia-operations) [2024-03-21T18:16:24Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.42.0-wmf.23 refs T354441

Change #1013404 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013404

Change #1013404 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013404

I'm rolling the train back to group1 while T360717 is being investigated.

I'm rolling the train back to group1 while T360717 is being investigated.

This is done

Change #1013422 had a related patch set uploaded (by TrainBranchBot; author: Reedy):

[operations/mediawiki-config@master] all wikis to 1.42.0-wmf.22

https://gerrit.wikimedia.org/r/1013422

Change #1013422 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.42.0-wmf.22

https://gerrit.wikimedia.org/r/1013422

Mentioned in SAL (#wikimedia-operations) [2024-03-21T23:50:18Z] <reedy@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.42.0-wmf.22 refs T354441

Change #1013555 had a related patch set uploaded (by TrainBranchBot; author: Ahmon Dancy):

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013555

Change #1013555 merged by jenkins-bot:

[operations/mediawiki-config@master] group2 wikis to 1.42.0-wmf.23

https://gerrit.wikimedia.org/r/1013555

Mentioned in SAL (#wikimedia-operations) [2024-03-22T15:04:23Z] <dancy@deploy1002> rebuilt and synchronized wikiversions files: group2 wikis to 1.42.0-wmf.23 refs T354441

Hey all ideally we would have caught this yesterday but what with the train delay we now have a quite serious bug impacting editors. Is anyone able to help me backport this configuration change? https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/1013583

Hey all ideally we would have caught this yesterday but what with the train delay we now have a quite serious bug impacting editors. Is anyone able to help me backport this configuration change? https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/1013583

I got this.

Seems like we're ok in prod seven hours later. Optimistically closing this one out. Thanks all!